# -*- coding: utf-8 -*-

import pandas as pd
import numpy as np

# a monthly sequence for one year
time = pd.date_range(start='2015-01', end='2015-12', freq='M')
print time
raw_input()

# same result, different syntax:
time = pd.date_range(start='2015-01', periods=12, freq='M')
print time
raw_input()

# many different frequencies are available
time = pd.date_range(start='2015-01', periods=4, freq='D')
print time
time = pd.date_range(start='2015-01', periods=4, freq='6H')
print time
time = pd.date_range(start='2015-01', periods=4, freq='30min')
print time
raw_input()

# for means over a time range, a sequence of periods may be more appropriate
time = pd.period_range(start='2015-01', end='2015-12', freq='M')
print time
raw_input()