import pandas as pd
import matplotlib.pyplot as plt

df = pd.read_csv('TSI_WLS_mon_1882_2008.csv')
df['Period'] = pd.period_range(start='1882-01', end='2008-12', freq='M')

ax = df.plot(x='Period', y='TSI+background')
ax.set_ylim((1364, 1368))
ax.ticklabel_format(axis='y', useOffset=False)
plt.show()